// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>, see README.TXT for details

#include "anim_counter.hh"

AnimCounter::AnimCounter()
{
  speed = 100;
  last_time = 0;
}

AnimCounter::AnimCounter(int s)
{
  last_time = 0;
  speed = s;
}

bool 
AnimCounter::enough_time_passed(void)
{
  if (speed < CL_System::get_time() - last_time) 
    return true;
  else
    return false;  
}

int
AnimCounter::operator++()
{
  if (enough_time_passed()) {
    last_time = CL_System::get_time();
    Counter::operator++();
  }
  return int(*this);
}

void
AnimCounter::set_speed(int s)
{
  speed = s;
}

int
AnimCounter::get_speed()
{
  return speed;
}

/* EOF */
