// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>, see README.TXT for details

#ifndef ENTRANCE_HH
#define ENTRANCE_HH

#include <ClanLib/clanlib.h>
#include <ClanLib/clanlayer2.h>

#include "plf.hh"
#include "pingu.hh"

class Entrance
{
private:
  static CL_Surface* surface;
  int last_release;
  int release_rate;
public:
  Entrance(int x, int y);
  Entrance(entrance_data data);
  int x_pos;
  int y_pos;

  bool  pingu_ready();
  Pingu* get_pingu();
  void  draw();
  void draw_offset(int x, int y);
  static void load_data(CL_ResourceManager*);
};

#endif

/* EOF */
