// Pingus - A free Lemmings clone
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#include "pingubmpmap.hh"

PinguBmpMap::PinguBmpMap()
{
  surface = 0;
}

PinguBmpMap::PinguBmpMap(const char* fg, CL_ResourceManager* resource)
{
  surface = CL_Res_Surface::load(fg, *resource);
  
  if (!surface) {
    cerr << fg << ": Could not open file" << endl;
    exit(EXIT_FAILURE);
  }
}

PinguBmpMap::~PinguBmpMap()
{
}

int
PinguBmpMap::load(const char* fg, CL_ResourceManager* resource)
{

}

void
PinguBmpMap::put_screen(int x, int y)
{
  if (surface)
    surface->put_screen(x,y);
  else {
    cerr << "PinguBmpMap:: Surface not loaded!" << endl;
  }
}

void
PinguBmpMap::draw_offset(int x, int y)
{
  
}

void
PinguBmpMap::draw()
{
  PinguBmpMap::put_screen(0,0);
}

/* EOF */
