// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>, see README.TXT for details

#include <algorithm>
#include "range.hh"

Range::Range()
{
  start = 0;
  stop = 100;
}

Range::Range(int a, int b)
{
  set_range(a, b);
}

Range::Range(int b)
{
  start = 0;
  stop  = b;

  if (start > stop)
    swap(start, stop);
}

Range&
Range::operator++()
{
  ++count;
  check_range();
  
  return *this;
}

Range&
Range::operator+=(int a)
{
  count += a;
  check_range();
  
  return *this;
}

Range&
Range::operator-=(int a)
{
  count -= a;
  check_range();
  
  return *this;
}

Range&
Range::operator=(int a)
{
  count = a;
  check_range();
  
  return *this;
}


void
Range::set_range(int a, int b)
{
  start = a;
  stop  = b;

  if (start > stop)
    swap(start, stop);
}

void
Range::check_range()
{
  if (count > stop)
    count = stop;
  if (count < start)
    count = start;
}

/* EOF */
